package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(vip_group_category):
 */
public class VipGroupCategory {

	/**  */
	private Integer id;
	
	/** 名称 */
	private String name;
	
	/** 线上薪水 */
	private long onlineClassesSalary;
	
	/** 线下薪水 */
	private long offlineClassesSalary;
	
	/**  */
	private String delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setOnlineClassesSalary(long onlineClassesSalary){
		this.onlineClassesSalary = onlineClassesSalary;
	}
	
	public long getOnlineClassesSalary(){
		return this.onlineClassesSalary;
	}
			
	public void setOfflineClassesSalary(long offlineClassesSalary){
		this.offlineClassesSalary = offlineClassesSalary;
	}
	
	public long getOfflineClassesSalary(){
		return this.offlineClassesSalary;
	}
			
	public void setDelFlag(String delFlag){
		this.delFlag = delFlag;
	}
	
	public String getDelFlag(){
		return this.delFlag;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
